#!/usr/bin/env perl
use Module::Build;

my $home = $ENV{HOME};

my $build = Module::Build->new(
    module_name   => 'L3TDE',
    license       => 'AGPLv3',
    dist_author   => 'Sergio Iglesias <contact@owlcode.tech>',
    dist_abstract => '.',
    requires      => {
        'DBI'                => 0,
        'DBD::Pg'            => 0,
        'DBD::Mock'          => 0,
        'Moo'                => 0,
        'Types::Standard'    => 0,
        'JSON'               => 0,
        'Path::Tiny'         => 0,
        'List::AllUtils'     => 0,
        'Test::Most'         => 0,
        'Test::MockModule'   => 0,
        'Crypt::URandom'     => 0,
        'Future::AsyncAwait' => 0,
        'IO::Socket::SSL'    => 0,
    },
);
$build->create_build_script;
